none
App läuft nicht unter Windows 10 RRS feed

  • Frage

  • Hallo,

    ich habe eine kleine App in Microsoft Visual Basic 2010 Express geschrieben.

    Unter Windows 7 läuft es ohne Probleme.

    Unter Windows 10 lässt sie sich nicht starten.

    Ich habe die App in Visual Studio 2019 als x64 neu erstellt.

    Startet aber auch nicht unter Windows 10 x64.

    Wie kann ich das Problem beheben?

    Danke, Gruß Klaus


    • Bearbeitet BlauesBlatt Dienstag, 26. Januar 2021 22:11
    Dienstag, 26. Januar 2021 18:14

Antworten

Alle Antworten

  • Hallo Klaus,

    "läuft nicht" ist leider nichts, mit dem wir auch nur irgendwas anfangen könnten.

    Was genau passiert? Kommt eine Fehlermeldung? Falls ja, welche? (Bitte die exakte und vollständige Meldung hier posten). Ggfs. auch in die Windows Ereignisanzeige schauen, ob sich dort Details zum Fehler finden lassen.

    ---

    So ins Blaue hinein: Evtl. ist die Anwendung mit einer zu alten .NET Framework Version erstellt worden, die auf Windows 10 nicht vorhanden ist.

    Nimm mal .NET Framework 4.8 und probier es dann nochmal,


    Gruß, Stefan
    Microsoft MVP - Visual Developer ASP/ASP.NET (2001-2018)
    https://www.asp-solutions.de/ - IT Beratung, Softwareentwicklung, Remotesupport


    Dienstag, 26. Januar 2021 22:35
    Moderator
  • Hallo Stefan,

    beim starten passiert nichts.

    Keine Fehlermeldung.

    .NET Framework 4.8 habe ich versucht, geht auch nicht.

    War vorher auf .NET Framework 4 Client Profile.

    In der Windows Ereignisanzeige steht eine Fehlermeldung:

    + System

      - Provider

       [ Name]  .NET Runtime
     
      - EventID 1026

       [ Qualifiers]  0
     
       Version 0
     
       Level 2
     
       Task 0
     
       Opcode 0
     
       Keywords 0x80000000000000
     
      - TimeCreated

       [ SystemTime]  2021-01-27T02:14:45.8693760Z
     
       EventRecordID 1736
     
       Correlation
     
      - Execution

       [ ProcessID]  0
       [ ThreadID]  0
     
       Channel Application
     
       Computer DESKTOP-TKNL6O0
     
       Security
     

    - EventData

    Anwendung: BlueCatBracketing.exe Frameworkversion: v4.0.30319 Beschreibung: Der Prozess wurde aufgrund einer unbehandelten Ausnahme beendet. Ausnahmeinformationen: System.IO.FileNotFoundException bei BlueCatBracketing.FokusBracketing.InitializeComponent() Ausnahmeinformationen: System.InvalidOperationException bei BlueCatBracketing.My.MyProject+MyForms.Create__Instance__[[System.__Canon, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089]](System.__Canon) bei BlueCatBracketing.My.MyApplication.OnCreateMainForm() bei Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun() bei Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel() bei Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(System.String[]) bei BlueCatBracketing.My.MyApplication.Main(System.String[])

    Gruß, Klaus

    Mittwoch, 27. Januar 2021 02:46
  • Hallo Stefan,

    ich habe heute die App unter Visual Studio 2019 neu erstellt.

    Jetzt startet sie schon mal.

    Leider habe ich jetzt zwei Probleme mit Visual Studio 2019.

    1. Ich kann .NET Framework 4.8 nicht auswählen, obwohl es installiert ist.

    2. Wenn ich in Visual Studio 2019 von Debug auf Release umstelle, kommt ständig diese Fehlermeldung:

    Schwerwiegender Fehler (Ausnahme von HRESULT: 0x8000FFFF

    (E_UNEXPECTED))

    Gruß, Klaus

    Mittwoch, 27. Januar 2021 17:31
  • Hallo Klaus,

    wenn Du .NET 4.8 nicht auswählen kannst, fehlt evtl. das entsprechende SDK. Installier mal das passende DevPack.

      Download .NET Framework 4.8
      (dort "Download .NET Framework 4.8 Developer Pack" wählen)

     


    Gruß, Stefan
    Microsoft MVP - Visual Developer ASP/ASP.NET (2001-2018)
    https://www.asp-solutions.de/ - IT Beratung, Softwareentwicklung, Remotesupport

    Mittwoch, 27. Januar 2021 17:49
    Moderator
  • Hallo Stefan,

    ich habe .NET Framework 4.8 Developer Pack nochmals installiert.

    Auswählen kann ich es jedoch nicht.

    Im Visual Studio Installer hat alle mit 4.8 ein Häkchen.

    In der Zielframework Auswahl steht nur .NET 5.0, .NET Core 3.0 und 3.1.

    Muss ich .NET Framework 4.8 in dem Einstellungen hinzufügen?

    Bis jetzt habe ich da nichts gefunden.

    Gruß, Klaus

    Donnerstag, 28. Januar 2021 21:23
  • Hallo Klaus,

    wenn da nur .NET 5.0 und .NET Core ... steht, hast Du eine .NET Core Anwendung. Die kannst Du aber nicht mit VS 2010 entwickelt haben.

    .NET Core muss in der passenden Version auf dem Zielrechner installiert werden.

    Wenn Du erst neu anfängst, würde ich dann gleich mit .NET 5.0 starten. Lad dir die .NET 5.0 Desktop Runtime hier runter und installier diese auf dem Zielrechner.


    Gruß, Stefan
    Microsoft MVP - Visual Developer ASP/ASP.NET (2001-2018)
    https://www.asp-solutions.de/ - IT Beratung, Softwareentwicklung, Remotesupport

    Donnerstag, 28. Januar 2021 21:29
    Moderator
  • Hallo Stefan,

    meine Frage bezog sich auf Visual Studio 2019.

    Gruß, Klaus

    Donnerstag, 28. Januar 2021 22:10
  • Hallo Klaus,

    ich hatte das hier gelesen:

    ich habe eine kleine App in Microsoft Visual Basic 2010 Express geschrieben.

    und es so verstanden, dass Du die Anwendung einfach in VS 2019 auf x64 umgestellt und neu kompiliert hast.

    Ist aber auch egal. Jetzt wissen wir ja, dass es nicht so war und Du eine .NET Core Anwendung erstellst. Daher muss die passende Runtime noch installiert werden.


    Gruß, Stefan
    Microsoft MVP - Visual Developer ASP/ASP.NET (2001-2018)
    https://www.asp-solutions.de/ - IT Beratung, Softwareentwicklung, Remotesupport

    Donnerstag, 28. Januar 2021 22:15
    Moderator
  • Hallo Stefan,

    ich habe meine Fehler gefunden.

    Vielen Dank.

    Gruß, Klaus

    Donnerstag, 28. Januar 2021 23:46
  • Hallo Klaus,

    andere Leser dieses Threads wären sicher auch froh, deine Lösung zu erfahren.


    Gruß, Stefan
    Microsoft MVP - Visual Developer ASP/ASP.NET (2001-2018)
    https://www.asp-solutions.de/ - IT Beratung, Softwareentwicklung, Remotesupport

    Freitag, 29. Januar 2021 07:48
    Moderator
  • Hallo Stefan,

    ich hatte die falsche Vorauswahl in Visual Studio 2019 getroffen.

    .NET anstatt .NET Framework.

    Gruß Klaus

    Samstag, 13. Februar 2021 06:34